Bug 225284 - Merge Review: aspell-sr
Merge Review: aspell-sr
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-29 16:06 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 23:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-29 16:06:11 EST
Fedora Merge Review: aspell-sr

http://cvs.fedora.redhat.com/viewcvs/devel/aspell-sr/
Comment 1 Roozbeh Pournader 2007-02-05 09:39:51 EST
BLOCKER: spec filename is not %{name}.spec

From the review guidelines:
  MUST: The spec file name must match the base package %{name}, in the format
  %{name}.spec

The spec file is actually named "-sl", instead of "-sr".
Comment 2 Ivana Varekova 2007-02-07 05:43:58 EST
Fixed in aspell-sr-0.02-2.fc7
Comment 3 Parag AN(पराग) 2007-03-28 05:46:53 EDT
picking up this for review
Comment 4 Parag AN(पराग) 2007-03-28 05:49:54 EDT
Can you please change %build and %install section as suggested in other aspell
package review?
Comment 5 Parag AN(पराग) 2007-03-30 07:16:02 EDT
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  But following messages are ignorable
  E: aspell-sr no-binary
  E: aspell-sr only-non-binary-in-usr-lib
  E: aspell-sr configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
a068ba095e7246fd3bbc92e7d0287998  aspell6-sr-0.02.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-sr = 50:0.02-3.fc7
+ Not a GUI APP.

APPROVED.
Comment 6 Vesselin Kolev 2007-04-05 11:54:42 EDT
There is the same problem in RHEL5:

ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/aspell-sr-0.02-1.2.1.src.rpm
Comment 7 Parag AN(पराग) 2007-04-09 00:06:11 EDT
what problem??
Can you specify what problem you found?
Comment 8 Parag AN(पराग) 2007-04-10 23:32:28 EDT
As build is available now, therefore CLOSING this review.

Note You need to log in before you can comment on or make changes to this bug.